diff -ubBr aqbanking-5.99.12efe1ea.orig/src/libs/plugins/imexporters/xml/xml.c aqbanking-5.99.12efe1ea/src/libs/plugins/imexporters/xml/xml.c
--- aqbanking-5.99.12efe1ea.orig/src/libs/plugins/imexporters/xml/xml.c	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/src/libs/plugins/imexporters/xml/xml.c	2019-09-24 09:46:50.035475841 +0000
@@ -33,7 +33,25 @@
 static void handleTransactionDetails(AB_TRANSACTION *t, const char *sDetails);
 
 
+static char *my_strndup(const char *src, size_t n)
+{
+  int len;
+
+  len=strlen(src);
+  if (len<n)
+    return strdup(src);
+  else {
+    char *cpy;
+
+    cpy=(char *) malloc(n+1);
+    assert(cpy);
+    memmove(cpy, src, n);
+    cpy[n]=0;
+    return cpy;
+  }
+}
 
+#define strndup my_strndup
 
 AB_IMEXPORTER *AB_ImExporterXML_new(AB_BANKING *ab)
 {
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/bankinfo/de/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/bankinfo/de/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -2,7 +2,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 noinst_HEADERS=de.h
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/bankinfo/generic/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/bankinfo/generic/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -2,7 +2,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=\
   dbb.conf hbci.conf atblz.conf fedachdir.conf bcbankenstamm.conf \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/yellownet/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/yellownet/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 #EXTRA_DIST=
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/xmldb/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/xmldb/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=README
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/ofx/parser/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/ofx/parser/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -2,7 +2,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 noinst_LTLIBRARIES=libofxparser.la
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/ofx/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/ofx/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes) -Iparser -I$(srcdir)/parser
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 #EXTRA_DIST=README
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/swift/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/swift/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=README
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/camt/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/camt/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 extra_sources=\
   camt52_001_02.c
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/xml/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/xml/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=README
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/eri2/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/eri2/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=eriformat.xml
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/ctxfile/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/ctxfile/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=README
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/sepa/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/sepa/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 extra_sources=\
   sepa_pain_001.c \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/q43/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/q43/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/openhbci1/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/openhbci1/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=README
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/imexporters/csv/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/imexporters/csv/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -4,7 +4,7 @@
   -I$(top_builddir)/src/libs \
   $(gwenhywfar_includes)
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 imexporterplugindir = $(aqbanking_plugindir)/imexporters
 noinst_LTLIBRARIES=libabimexporters_csv.la
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/parsers/swift/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/parsers/swift/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -3,7 +3,7 @@
   -I$(top_builddir)/src/libs \
   -I$(top_srcdir)/src/libs
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=README
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/control/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/control/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../../ \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/banking/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/banking/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/tan/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/tan/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,7 +1,7 @@
 DIST_SUBDIRS=msglayer joblayer ajobs admjobs applayer banking tan dialogs control
 SUBDIRS=msglayer joblayer ajobs admjobs applayer banking tan dialogs control
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=aqhbci.xml.in header.xml.in
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/msglayer/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/msglayer/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/dialogs/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/dialogs/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -7,7 +7,7 @@
   -I.. -I$(srcdir)/.. \
   -I$(top_srcdir)/src/libs/aqbanking $(gwenhywfar_includes)
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 noinst_LTLIBRARIES=libaqhbci_dlgs.la
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/joblayer/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/joblayer/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/admjobs/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/admjobs/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../../ \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/ajobs/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/ajobs/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../../ \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqhbci/applayer/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqhbci/applayer/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,6 +1,6 @@
 SUBDIRS=xml
 
-AM_CFLAGS=-DBUILDING_AQHBCI @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../../ \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqnone/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqnone/Makefile.am	2019-09-24 10:47:31.193491809 +0000
@@ -1,9 +1,7 @@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/..
 
-DEFS += -DBUILDING_AQNONE
-
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=aqnone.xml.in
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqebics/control/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqebics/control/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -5,7 +5,7 @@
 
 localedir = $(datadir)/locale
 DEFS += -DLOCALEDIR=\"$(localedir)\"
-AM_CFLAGS=-DBUILDING_AQEBICS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 
 noinst_LTLIBRARIES=libebicscontrol.la
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqebics/requests/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqebics/requests/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -3,7 +3,7 @@
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/../.. $(AQEBICS_CFLAGS)
 
 DEFS += -DLOCALEDIR=\"$(localedir)\"
-AM_CFLAGS=-DBUILDING_AQEBICS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 #typefiles=context.xml
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqebics/client/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqebics/client/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -3,7 +3,7 @@
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/../.. $(AQEBICS_CFLAGS)
 
 DEFS += -DLOCALEDIR=\"$(localedir)\"
-AM_CFLAGS=-DBUILDING_AQEBICS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 #typefiles=context.xml
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqebics/msg/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqebics/msg/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -2,7 +2,7 @@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/../.. $(AQEBICS_CFLAGS)
 
-AM_CFLAGS=-DBUILDING_AQEBICS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 noinst_LTLIBRARIES=libmsg.la
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqebics/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqebics/Makefile.am	2019-09-24 10:44:49.038109217 +0000
@@ -2,7 +2,7 @@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/.. $(AQEBICS_CFLAGS)
 
-AM_CFLAGS=-DBUILDING_AQEBICS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 
 EXTRA_DIST=aqebics.xml.in
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqebics/dialogs/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqebics/dialogs/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -3,7 +3,7 @@
 
 DEFS += -DLOCALEDIR=\"$(localedir)\" 
 
-AM_CFLAGS=-DBUILDING_AQEBICS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 #typefiles=
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqofxconnect/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqofxconnect/Makefile.am	2019-09-24 10:46:37.801694331 +0000
@@ -2,10 +2,10 @@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/..
 
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 localedir=$(datadir)/locale
-DEFS += -DLOCALEDIR=\"$(localedir)\" -DBUILDING_AQOFXCONNECT
+DEFS += -DLOCALEDIR=\"$(localedir)\"
 
 plugindir = $(aqbanking_plugindir)/providers
 plugin_DATA = aqofxconnect.xml
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqofxconnect/libofxhome/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqofxconnect/libofxhome/Makefile.am	2019-09-24 10:47:04.641592524 +0000
@@ -1,9 +1,6 @@
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/../../ -I$(srcdir)/..
 
-AM_CFLAGS=@visibility_cflags@
-
-
-DEFS += -DBUILDING_AQOFXCONNECT
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 
 typefiles=\
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqpaypal/control/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqpaypal/control/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQPAYPAL @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/../..
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqpaypal/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqpaypal/Makefile.am	2019-09-24 10:47:42.649448355 +0000
@@ -2,9 +2,7 @@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/..
 
-AM_CFLAGS=@visibility_cflags@
-
-DEFS += -DBUILDING_AQPAYPAL
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 #iheaderdir=${includedir}/aqpaypal
 #iheader_HEADERS=
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/transportlayer/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/transportlayer/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,6 +1,6 @@
 #SUBDIRS=
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/sessionlayer/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/sessionlayer/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,7 +1,7 @@
 SUBDIRS=pintan
 
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/sessionlayer/pintan/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/sessionlayer/pintan/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,6 +1,6 @@
 #SUBDIRS=
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/servicelayer/upd/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/servicelayer/upd/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/servicelayer/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/servicelayer/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,6 +1,6 @@
 SUBDIRS=xml bpd upd
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/servicelayer/bpd/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/servicelayer/bpd/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/Makefile.am	2019-09-24 10:47:53.305407936 +0000
@@ -2,9 +2,7 @@
 
 INCLUDES = -I$(srcdir) -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) -I$(srcdir)/..
 
-DEFS += -DBUILDING_AQFINTS
-
-AM_CFLAGS=@visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 EXTRA_DIST=aqfints.xml.in
 
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/msglayer/parser/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/msglayer/parser/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,5 +1,5 @@
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
--- aqbanking-5.99.12efe1ea.orig/./src/libs/plugins/backends/aqfints/msglayer/Makefile.am	2019-09-21 16:32:39.000000000 +0000
+++ aqbanking-5.99.12efe1ea/./src/libs/plugins/backends/aqfints/msglayer/Makefile.am	2019-09-24 10:44:49.042109202 +0000
@@ -1,6 +1,6 @@
 SUBDIRS=parser
 
-AM_CFLAGS=-DBUILDING_AQFINTS @visibility_cflags@
+AM_CFLAGS=-DBUILDING_AQBANKING @visibility_cflags@
 
 INCLUDES = -I$(top_srcdir)/src/libs -I$(top_builddir)/src/libs $(gwenhywfar_includes) \
   -I$(srcdir)/../.. \
